/* GLOBAL STYLES
-------------------------------------------------- */
/* Padding below the footer and lighter body text */

:root {
  --theme-color-lightest: #dbefff; /* rgba(219 , 239 , 255) */
  --theme-color-lighter: #28a2ff; /* rgba(40 , 162 , 255) */
  --theme-color-light: #008af4; /* rgba(0 , 138 , 244) */
  --theme-color: #006fc5; /* rgba(0 , 111 , 197) */
  --theme-color-dark: #00508e; /* rgba(0 , 80 , 14) */
  --theme-color-darker: #00345b; /* rgba(0 , 52 , 9) */
  --theme-color-darkest: #001728; /* rgba(0 , 23 , 40) */

  --theme-color-pair-lightest: #fde7ea; /* rgba(253 , 231 , 234) */
  --theme-color-pair-lighter: #f47084; /* rgba(244 , 112 , 132) */
  --theme-color-pair-light: #f0415b; /* rgba(240 , 65 , 91) */
  --theme-color-pair: #ee1132; /* rgba(238 , 17 , 50) */
  --theme-color-pair-dark: #bd0e28; /* rgba(189 , 14 , 40) */
  --theme-color-pair-darker: #8e0a1e; /* rgba(142 , 10 , 30) */
  --theme-color-pair-darkest: #2f030a; /* rgba(47 , 3 , 1) */

  --swiper-pagination-bullet-size: 12px;
}

body {
  color: #333;
}
/* 特別支援学校・学級のみタイトルサイズ小 */
body.toku .card-title {
  font-size: 1.15rem;
}
/* navbar */
.navbar-nav .nav-link.active {
  color: var(--theme-color-dark);
  font-weight: bold;
}
.navbar-nav .nav-link.kind {
  font-weight: bold;
}
body#croquis .navbar-dark .nav-link {
  color: #efefef;
}
body#croquis .navbar-nav .nav-link.active {
  color: yellow;
  opacity: 0.9;
  font-weight: bold;
}
main {
  overflow: hidden;
  margin-top: 30px;
}
h1,
h2,
h3,
h4,
h6,
h7 {
  font-weight: normal;
}
h1.breadcrumb {
  font-size: 1rem;
}
a {
  text-decoration: none;
}
a:hover {
  font-weight: bold;
}
/* index.html > 画像ブロック */
div.kind:hover {
  cursor: pointer;
}
div.kind:hover > .img-block {
  border-radius: 0;
}
.img-block {
  position: relative;
  width: 200px;
  height: 200px;
  overflow: hidden;
  border-radius: 50%;
  margin: 0 auto;
  transition: 0.5s linear; /* アニメーションした画像が元のサイズに戻るとき */
}
.index-img,
.image {
  transition: 1s linear; /* アニメーションした画像が元のサイズに戻るとき */
}
.index-img:hover,
.image:hover {
  transform: scale(1.15); /*画像の拡大率*/
  transition-duration: 0.4s; /*変化に掛かる時間*/
  animation-timing-function: ease;
  cursor: pointer;
  z-index: 999;
}
/* トップページのみサムネール拡大（画像周辺の透明余白対策） */
.container.index .index-img {
  transform: scale(1.1);
}
.container.index .index-img:hover {
  transform: scale(1.3);
}
img#current-image {
  z-index: 9999;
}
div.index .row h2 {
  margin-top: 16px;
}
.bd-placeholder-img {
  font-size: 1.125rem;
  text-anchor: middle;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  object-fit: cover;
}
/* 画像一覧 */
.card {
  margin: 20px;
  /* overflow: hidden; */
  border: none;
}
.card-body {
  /* 画像のはみ出し防止 */
  padding: 0 1rem 1rem;
  z-index: 999;
  background-color: white;
}
.d-center {
  justify-content: center;
  align-items: center;
}
/* 画像一覧から呼び出されるダイアログ内スライド */
.slider {
  width: 100%;
  height: calc(90vh -150px);
}
.slide-img {
  width: 100%;
  max-height: 75vh;
  object-fit: contain;
}
#slide-title {
  text-align: center;
  font-size: 2rem;
  margin: 15px 0;
}
.arrow-box {
  height: calc(100vh - 150px);
  font-size: 3rem;
  color: #ddd;
}
.arrow-box:hover {
  cursor: pointer;
  font-size: 4rem;
}
.arrow-box:hover i {
  color: var(--theme-color);
}
.slide-dot {
  font-size: 0.5rem;
  color: #ddd;
}
.slide-dot.active {
  color: var(--theme-color);
}
.slide-dot:hover {
  font-size: 0.6rem;
  cursor: pointer;
  color: var(--theme-color);
}
/* トップページ カルーセル --------------------- */
.carousel-caption {
  backdrop-filter: blur(6px);
  background-color: rgba(255, 255, 255, 0.6);
  padding: 60px;
  border-radius: 6px;
}
.carousel-item > img {
  object-fit: cover;
}

#page_top {
  width: 50px;
  height: 50px;
  position: fixed;
  right: 0;
  bottom: 0;
  background: #3f98ef;
  opacity: 0.5;
  transition-duration: 1s; /*変化に掛かる時間*/
  animation-timing-function: linear;
}
#page_top a {
  position: relative;
  display: block;
  width: 50px;
  height: 50px;
  text-decoration: none;
}
#page_top:hover {
  opacity: 1;
  transition-duration: 0.4s; /*変化に掛かる時間*/
  animation-timing-function: ease;
}
#page_top a::before {
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  content: "\f102";
  font-size: 25px;
  color: #fff;
  position: absolute;
  width: 25px;
  height: 25px;
  top: -5px;
  bottom: 0;
  right: 0;
  left: 0;
  margin: auto;
  text-align: center;
}

/* bb-check */
.blank-box {
  border: 2px solid #888;
  padding: 1.2em 1em;
  margin-bottom: 1em;
  border-radius: 4px;
  border-top-left-radius: 4px;
}
.blank-box.bb-tab {
  position: relative;
  margin-top: 2em;
  border-top-left-radius: 0;
}
.blank-box.bb-tab .bb-label {
  background-color: #888;
  font-family: Aharoni, "Arial Black", Impact, Arial, sans-serif;
  position: absolute;
  font-size: 13px;
  top: -2.2em;
  line-height: 1.8;
  color: #fff;
  left: -2px;
  border-radius: 6px 6px 0 0;
  padding: 0.2em 1em;
}
.blank-box.bb-tab ul,
.blank-box.bb-tab ol {
  margin-bottom: 0;
}
